@ECHO OFF
cd BIOS
echo Checking ROM file .....
CKMODE DH270000.106 DH270 4056
if errorlevel 1 goto end

:flash
AFUDOSA5.exe DH270000.106 /p /b /n
if errorlevel 1 goto end

FPT.exe -f DH270000.106 -me
if errorlevel 1 goto end

call DISEUP.EXE
fpt.exe -greset

:end
echo Update not sucessful.
cd ..
exit